using Furion.JsonSerialization;
using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

public class ExamAbsentReplaceMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<ExamAbsentReplace, ExamAbsentReplaceOutput>().Map(d => d.AbsentCourseList, s => JSON.Deserialize<List<CourseMiniOutput>>(s.AbsentCourses, null));
    }
}
